//
//  ScoreViewController.swift
//  VeseKentei
//
//  Created by Sachico Kuwamura on 2015/03/26.
//  Copyright (c) 2015年 Haruyoshi Kuwamura. All rights reserved.
//

import UIKit
//Socialフレームワークをインポート
import Social

class ScoreViewController: UIViewController {
    
    //KenteiViewControllerの正解数を受け取るメンバ変数
    var correct = 0
    //正解数を表示するラベル
    @IBOutlet weak var scoreLabel: UILabel!
    //合格or不合格画像を表示する画像
    @IBOutlet weak var judgeImageView: UIImageView!
    //合格数を表示するラベル
    @IBOutlet weak var goukakuTimesLabel: UILabel!
    //ランクを表示するラベル
    @IBOutlet weak var rankLabel: UILabel!
    //合格回数を格納する変数
    var goukakuTimes = 0
    //称号変数。初期値はビギナー
    var rankString = "ビギナー"
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        //合格回数を保存する変数
        let goukakuUd = NSUserDefaults.standardUserDefaults()
        //合格回数をgoukakuというキー値で変数goukakuTimesに格納
        goukakuTimes = goukakuUd.integerForKey("goukaku")
        //正解数を表示
        scoreLabel.text = "正解数は\(correct)問です。"
        //合格・不合格を判定
        if correct >= 7{
            judgeImageView.image = UIImage(named: "Goukaku.png")!
            //合格回数をカウントアップ
            goukakuTimes++
            //goukakuキー値を使って合格回数(goukakuTimes)を保存
            goukakuUd.setInteger(goukakuTimes, forKey: "goukaku")
        }else{
            judgeImageView.image = UIImage(named: "Fugoukaku.png")!
        }
        //合格回数を表示
        goukakuTimesLabel.text = "合格回数は\(goukakuTimes)回です。"
        //合格回数によってランクを決定
        if goukakuTimes >= 50{
            rankString = "達人"
        }else if goukakuTimes >= 40{
            rankString = "師匠"
        }else if goukakuTimes >= 30{
            rankString = "師範代"
        }else if goukakuTimes >= 20{
            rankString = "上級者"
        }else if goukakuTimes >= 10{
            rankString = "ファン"
        }else if goukakuTimes >= 0{
            rankString = "ビギナー"
        }
        //ランクラベルに称号を設定
        rankLabel.text = "ランクは\(rankString)！"
    }
    //Facebook投稿メソッド
    @IBAction func postFacebook(sender: AnyObject) {
        //Facebook投稿用定数を作成
        let fbVC:SLComposeViewController = SLComposeViewController(forServiceType: SLServiceTypeFacebook)!
        //投稿テキストを設定
        fbVC.setInitialText("三浦のおやさい検定：私は\(rankString)。合格回数は\(goukakuTimes)回です。")
        //投稿画像を設定
        fbVC.addImage(UIImage(named: "icon.png"))
        //投稿用URLを設定
        fbVC.addURL(NSURL(string: "http://onthehammock.com/app/5783"))
        //投稿コントローラーを起動
        self.presentViewController(fbVC, animated: true, completion: nil)
    }
    //Twitter投稿メソッド
    @IBAction func postTwitter(sender: AnyObject) {
        //Twitter投稿用定数を作成
        let twVC:SLComposeViewController = SLComposeViewController(forServiceType: SLServiceTypeTwitter)!
        //投稿テキストを設定
        twVC.setInitialText("三浦のおやさい検定：私は\(rankString)。合格回数は\(goukakuTimes)回です。")
        //投稿画像を設定
        twVC.addImage(UIImage(named: "icon.png"))
        //投稿用URLを設定
        twVC.addURL(NSURL(string: "http://onthehammock.com/app/5783"))
        //投稿コントローラーを起動
        self.presentViewController(twVC, animated: true, completion: nil)
    }
    
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}
