//
//  ViewController.swift
//  VeseKentei
//
//  Created by Sachico Kuwamura on 2015/03/26.
//  Copyright (c) 2015年 Haruyoshi Kuwamura. All rights reserved.
//

import UIKit

class ViewController: UIViewController{
    
    @IBOutlet weak var logoImageView: UIImageView!
    @IBOutlet weak var titleLabel: UILabel!
    @IBOutlet weak var bodyTextView: UITextView!
    @IBOutlet weak var startbutton: UIButton!
    @IBOutlet weak var creditLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        //loadCSVメソッドで配列csvArrayに読み込んだCSVファイルを格納
        let csvArray = loadCSV("start")
        
        //ImageViewに画像を設定
        let img:UIImage = UIImage(named:csvArray[0])!
        logoImageView.image = img
        //titleLabelにアプリ名を設定
        titleLabel.text = csvArray[1]
        //bodyTextViewにアプリ説明文を設定
        bodyTextView.text = csvArray[2]
        //ボタンのタイトル文字を白色に設定
        startbutton.setTitleColor(UIColor.whiteColor(), forState: UIControlState.Normal)
        //creditLabelにクレジットを設定
        creditLabel.text = csvArray[3]
    }
    
    //CSVファイルの読み込みメソッド。引数にファイル名、返り値にString型の配列。
    func loadCSV(filename :String)->[String]{
        //CSVファイルの読み込み
        let csvBundle = NSBundle.mainBundle().pathForResource(filename, ofType: "csv")
        //エラー値の設定
        var encodingError:NSError? = nil
        //csvBundleのパスを読み込み、UTF8に文字コード変換して、NSStringに格納
        let csvData = NSString(contentsOfFile: csvBundle!, encoding: NSUTF8StringEncoding, error: &encodingError)!
        //改行コードが"\r"で行なわれている場合は"\n"に変更する
        let lineChange = csvData.stringByReplacingOccurrencesOfString("\r", withString: "\n")
        //"\n"の改行コードで区切って、配列csvArrayに格納する
        let csvArray = lineChange.componentsSeparatedByString("\n")
        return csvArray
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}
